GET
/api/v1/file/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/file/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "c7a6b3ff-0f98-4a91-9976-b069a0d490b1",
"created_at": "2026-10-29T17:25:06+00:00",
"original_created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"uploaded_at": "2026-10-29T17:25:06+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-29T17:25:06+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/38416d78-d669-48a1-aa70-4d35b37ade2b/download",
"preview_url": "https://api.plannrcrm.com/file/d7b53d5b-583a-45e6-bb2e-d223e7cc7f62/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "58ade35e-9216-4ed0-be1a-c1e540982db3",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "0308d556-6cc1-47b1-a011-597f71354709",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "c3bf8b18-2e4b-43cb-b32d-0bdb55ba7830",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "8e19f437-fdeb-4ac9-b4c0-41ec02f02391",
"created_at": "2026-10-29T17:25:13+00:00",
"original_created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"uploaded_at": "2026-10-29T17:25:13+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-29T17:25:13+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/9d7df819-b0d8-49be-8314-8f6cbe17c5ad/download",
"preview_url": "https://api.plannrcrm.com/file/5dea380e-3a11-43c2-b2ee-fd8c66f6a104/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "c3bf8b18-2e4b-43cb-b32d-0bdb55ba7830",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "c3bf8b18-2e4b-43cb-b32d-0bdb55ba7830",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "c3bf8b18-2e4b-43cb-b32d-0bdb55ba7830",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "19d2ce5c-a034-4720-8e6e-c73367a9a9dd"
},
"firm": {
"uuid": "c3077aa7-71c7-494a-aed0-72405208d6fd",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "f25b4b4a-d6fc-4c22-9089-53381f1be296",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"enabled": "true",
"trial_ends_at": "2026-11-12",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-11-16"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "60e09f02-287e-4782-b2d2-b1f030bd8a76",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"tags": [
{
"uuid": "35d37c20-7e9a-4603-a08c-e9c7742fdbb9",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
]
}